﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<PoolOTPMember>

@(
 Html.Grid(Model).Named("GridGetAllResendSMS").Columns(columns =>
 {
     columns.Add()
        .Titled("<input type=\"checkbox\" id=\"All\" class=\"btn btn-xs btn-info\">")
        .Encoded(false)
        .Sanitized(false)
        .SetWidth(50)
        .Css("cell-center")
        .RenderValueAs(x => string.Format("<input type=\"checkbox\" id=\"data\" name=\"param\" value=\"{0}\" class=\"btn btn-xs btn-info data-check\">", x.Phone));

     columns.Add(x => x.Phone)
         .Titled("Phone")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Phone).Filterable(true);

     columns.Add(x => x.OTPCode)
         .Titled("Code OTP")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.OTPCode).Filterable(true);

     columns.Add(x => x.Status)
         .Titled("Status")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Status).Filterable(true);

     columns.Add(x => x.OTPExpiredDate)
        .Titled("Expired")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.OTPExpiredDate.Value.ToString("dd-MM-yyyy HH:mm")).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.Value.ToString("dd-MM-yyyy HH:mm"));

 }).Filterable()
        .Sortable()
        .WithPaging(10)
)
